PHP K�sikirja
Edellinen |  | Seuraava

# classkit_method_copy

(no version information, might be only in CVS)

classkit_method_copy -- Copies a method from class to another

## Description

bool classkit_method_copy ( string dClass, string dMethod, string sClass [, string sMethod] )

Varoitus
Varoitus! T�m� funktio on EKSPERIMENTAALINEN. T�m�n funktion ominaisuudet, k�ytt�ytyminen, parametrit ja nimi voi muuttua varoituksetta seuraavissa PHP:n versioissa.

## Parameters

dClass

  Destination class for copied method

dMethod

  Destination method name

sClass

  Source class of the method to copy

sMethod

  Name of the method to copy from the source class. If this parameter is omitted, the value of dMethod is assumed.

## Return values

Palauttaa `TRUE` onnistuessaan, muutoin `FALSE`.

## Examples

Esimerkki 1. classkit_method_copy() example

`<?php class Foo { function example() { return "foo!\n"; } } class Bar { // initially, no methods } // copy the example() method from the Foo class to the Bar class, as baz() classkit_method_copy('Bar', 'baz', 'Foo', 'example'); // output copied function echo Bar::baz(); ?>`

The above example will output:

    foo!

## See Also

classkit_method_add()
classkit_method_redefine()
classkit_method_remove()
classkit_method_rename()

Edellinen | Alkuun | Seuraava
classkit_method_add | Ylös | classkit_method_redefine